
Robotics Service Bus - Tasks #563
Enhancement # 498 (Closed): Integrate causal vector for events
Implement cause vector in cl
09/08/2011 06:12 PM - J. Wienke

Status: Resolved Start date: 09/08/2011
Priority: Urgent Due date:
Assignee: J. Moringen % Done: 100%
Category: Common Lisp Estimated time: 1.00 hour
Target version: 0.5
Description

I don't feel like I am able to do this.

Related issues:
Blocks Robotics Service Bus - Enhancement # 656: Logger should display cause ... Resolved 10/20/2011

Associated revisions
Revision 3c6f3a7c - 09/13/2011 04:22 PM - J. Moringen
Adapted to protocol changes in src/transport/spread/fragmentation.lisp
refs #563
    -  src/transport/spread/fragmentation.lisp

  (merge-fragment assembly-pool t): adapted to changed protocol
  (%make-key): likewise

Revision ab2121a8 - 09/13/2011 04:22 PM - J. Moringen
Adapted to protocol changes in test/transport/spread/fragmentation.lisp
refs #563
    -  test/transport/spread/fragmentation.lisp

  (test suite fragmentation-root): adapted local function
  `make-notification' to changed protocol

Revision 85a3016f - 10/20/2011 02:57 AM - J. Moringen
Added causes vectors to event class
fixes #563
    -  src/event.lisp (event::causes): new slot; stores a set of id of

  causing events
  (event=): added keyword parameter compare-causes?; compare causes if
  requested

    -  src/package.lisp (package rsb): added exported symbol event-causes
    -  src/transport/spread/conversion.lisp (one-notification->event):

  copy causes from notification to event
  (event->notifications): pass causes to `make-notification'
  (make-notification): copy specified causes into notification

    -  test/event.lisp (test event-root::comparison): tests comparison with
  and without comparing causes

Revision 96e22b2d - 10/20/2011 06:16 AM - J. Moringen
Improved make-event in src/event.lisp
refs #563
    -  src/event.lisp (make-event): added keyword parameter causes;
  specified causes are added to the new event

Revision 6024c085 - 10/20/2011 06:43 AM - J. Moringen
Added even-id type in src/types.lisp
refs #563
    -  src/types.lisp (event-id): new type; an object that uniquely

  identifies an event
    -  src/event.lisp (event::causes): adjusted documentation string

  (event-id->uuid): new function; derive a UUID from an event id
  (%maybe-set-event-id): use `event-id->uuid'

    -  src/package.lisp (package rsb): added exported symbol event-id->uuid

Revision 908c17d0 - 10/20/2011 06:43 AM - J. Moringen
Added event-id= in src/event.lisp
refs #563
    -  src/event.lisp (event=): use `event-id='

  (event-id=): new function; compare event ids for equality
    -  src/package.lisp (package rsb): added exported symbol event-id=

Revision e6c0251c - 10/20/2011 09:23 PM - J. Moringen
Added event-id/opaque in src/protocol.lisp
refs #563
    -  src/protocol.lisp (event-id/opaque): new generic function; return an

  object uniquely identifying an event
    -  src/event.lisp (event-id/opaque event): new method; return a unique

  event id object
  (%maybe-set-event-id): use `event-id/opaque'

    -  src/package.lisp (package rsb): added exported symbol
  event-id/opaque

Revision c63d7259 - 10/20/2011 09:23 PM - J. Moringen
Support causes in send methods in src/informer.lisp
refs #563
    -  src/informer.lisp (send informer event): added keyword parameter

  causes; added specified causes to event

History
#1 - 09/23/2011 02:51 PM - J. Wienke
- Priority changed from Normal to Urgent

We probably need an intermediate release for humavips with these changes in the next two weeks. So this should be fixed soon.

#2 - 09/23/2011 02:55 PM - J. Wienke
- Target version changed from rsb-0.10 to 0.5
#3 - 10/20/2011 02:58 AM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r2906.
